2022-08-19 05:45 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003210FSSCPtablespublic2022-06-10 20:49
ReporterThe Trivial Psychic 
Assigned ToMjnMixael 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformAMD Rz5 2600 3.4GHz 16GB RX 570OSWindows 10 HomeOS Version64bit-19043.1237
Product Version21.2.0 
Target VersionFixed in Version22.0.0 
Summary0003210: Table Error Message Removed in Newer Builds Re: Missing Primary Bank
DescriptionPlease Note: This error is for builds MUCH newer than the 21.2.0 build marked in the 'Product Version' field, but newer builds aren't available in the list.

For builds up until the July 25th, 2021 Nightly, if a ship with a primary weapon bank listed in the model, but not in the tables is opened up in mission, FRED, or in the Lab, you will be hit with an error message explaining this error. Builds of July 25th and newer will simply CTD with no error message. This includes the latest 20.4 release and anything newer. Debug builds result in the same problem.
Steps To ReproduceFor an easy example, boot up the current TBP version of 3.7.7 and load up an Aurora, Aurora MK1, or PSI Aurora in the lab. Simply viewing it in the techroom won't do it.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0017119

MjnMixael (manager)

I just tested with the attached retail ships.tbl that commends out the Hercules primary banks. I tested on 22.2 RC1 in the lab and got the error warning as expected.

Seems fixed. Recommend closing.
+Notes

-Issue History
Date Modified Username Field Change
2021-10-03 20:32 The Trivial Psychic New Issue
2022-06-10 13:47 MjnMixael File Added: ships.tbl
2022-06-10 13:47 MjnMixael Note Added: 0017119
2022-06-10 14:06 z64555 Assigned To => MjnMixael
2022-06-10 14:06 z64555 Status new => closed
2022-06-10 14:06 z64555 Resolution open => fixed
2022-06-10 14:06 z64555 Fixed in Version => 22.0.0
2022-06-10 20:49 Goober5000 Status closed => resolved
+Issue History